Bug 397091 - (CVE-2007-5970) CVE-2007-5970 mysql: table privilege gain via partitioned table with the same name
CVE-2007-5970 mysql: table privilege gain via partitioned table with the same...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=internet,reported=20071123,pub...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-23 12:19 EST by Tomas Hoger
Modified: 2007-12-13 03:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-13 03:34:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2007-11-23 12:19:30 EST
From the changelog of not yet released versions of MySQL:

Important Change: Partitioning: Security Fix: It was possible, by creating a
partitioned table using the DATA DIRECTORY and INDEX DIRECTORY options to gain
privileges on other tables having the same name as the partitioned table. As a
result of this fix, any table-level DATA DIRECTORY or INDEX DIRECTORY options
are now ignored for partitioned tables. (Bug#32091, CVE-2007-5970)

Mentioned in:

MySQL 5.1.23
http://dev.mysql.com/doc/refman/5.1/en/news-5-1-23.html

MySQL 6.0.4
http://dev.mysql.com/doc/refman/6.0/en/news-6-0-4.html

Referenced MySQL bug report is not public at the moment:
http://bugs.mysql.com/bug.php?id=32091
Comment 2 Tomas Hoger 2007-12-11 12:40:13 EST
CVE description:

CVE-2007-5970

MySQL 5.1.x before 5.1.23 and 6.0.x before 6.0.4 allows remote
authenticated users to gain privileges on arbitrary tables via
unspecified vectors involving use of table-level DATA DIRECTORY and
INDEX DIRECTORY options when creating a partitioned table with the
same name as a table on which the user lacks privileges.

References:
http://bugs.mysql.com/bug.php?id=32091
http://dev.mysql.com/doc/refman/5.1/en/news-5-1-23.html
http://dev.mysql.com/doc/refman/6.0/en/news-6-0-4.html

Upstream bug report remains private.
Comment 3 Tomas Hoger 2007-12-13 03:34:19 EST
This issue did not affect mysql packages as shipped in Red Hat Enterprise Linux
2.1, 3, 4, and 5, Red Hat Application Stack v1 and v2 and Fedora, as versions
shipped do not support table partitioning.  Partitioning feature was introduced
in development MySQL version 5.1.

Note You need to log in before you can comment on or make changes to this bug.